/* global registerGlobalBackward, TraverseUtility */
registerGlobalBackward('1.5.3',function (theme) {
    'use strict';
    TraverseUtility.traverseControls(theme.controls, _removeIsMixin);
    TraverseUtility.traverseControls(theme.templates, _removeIsMixin);

    function _removeIsMixin(control) {
        delete control.isMixin;
    }
    return theme;
});